Subject: Printer command with spaces does not work

From: Mikhail Gonchar <[email-masked]>
Date: Fri, 07 Aug 2015 15:15:40 +0500

Package: x2goclient
Version: 4.0.5.0

A custom printer command in x2goclient does not work when it contains 
spaces.

I reproduced this on Debian "jessie" and Windows XP:
1) Open x2goclient settings and set printer command to value with 
spaces. I set it to "/home/reji/evince and spaces" on Debian (this is a 
simlink to /usr/bin/evince).

2) Print something in remote session to virtual X2Go printer.

As result error message pop ups on the client:
"Failed to execute command:
/home/reji/evince and spaces 
/home/reji/.x2go/S-redge-52-1438889300_stDLXDE_dp32/spool/redge-52-1438889300_stDLXDE_dp32_33-redge-cupsjob7726ykoKRCRrXh30G41C.pdf"

Printing works if I set a command to "/usr/bin/evince" or "evince".